<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    PTA
 * @subpackage Summary
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Model_SUMMARY extends TSM_ORM {
	protected $_table_name = 'SUMMARY';
	protected $_primary_key = 'ACTIVITY'; // We need a primary key to detect that the object is loaded.
	protected $_sorting = array(
		'START_TIME'=>'ASC',
		'ENTITY'=>'ASC',
		'ACTIVITY'=>'ASC',
	);

	protected $_display_filters = array(
		'START_TIME'=>array(
			array('TSM_ORM::date',array(':value','d-M H:i')),
		),
		'END_TIME'=>array(
			array('TSM_ORM::date',array(':value','d-M H:i')),
		),
	);
}
?>
